E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
GNet::TaskCallback Class Referenceabstract

An abstract interface for callbacks from GNet::Task. More...

`#include <gtask.h>`

Inheritance diagram for GNet::TaskCallback:

## Public Member Functions
virtual void | onTaskDone (int exit_status, const std::string &output)=0
| Callback function to signal task completion.

## Protected Member Functions
virtual | ~TaskCallback ()
| Destructor.

## Detailed Description

An abstract interface for callbacks from GNet::Task.

Definition at line 89 of file gtask.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gtask.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gtask.cpp